<?php
echo '<div class="wrap">';
architect_table_start();
echo architect_admin_header('2', 'Wapple Architect Plugin Status');

// Architect Errors
$errors = false;
if(get_option('architect_devkey') == '' OR !get_option('architect_devkey'))
{
	$errors = true;
	echo '<div class="updated" style="background:#F24318;color:#000;border-color:#B23112;"><p><strong>You haven\'t saved your free Wapple Architect Dev Key, get one from here: <a href="http://wapple.net/register/plugins-signup.htm" style="color:#000;">http://wapple.net/register/plugins-signup.htm</a></strong><br />Once you have it, enter it in the <a href="admin.php?page=architect-basic">Wapple Architect Basic Settings page</a></p></div>';
}
if(!function_exists('simplexml_load_string'))
{
	$errors = true;
	echo '<div class="updated" style="background:#F24318;color:#000;border-color:#B23112;"><p>You do not have simpleXML installed, this plugin needs simpleXML in order to parse XML returned from Wapple\'s web services</p></div>';
}
if(isset($_COOKIE['architectError']))
{
	$errors = true;
	echo '<div class="updated" style="background:#F24318;color:#000;border-color:#B23112;"><p>Error initializing mobile version: '.$_COOKIE['architectError'].'</p></div>';
}
	
if(!$errors)
{
	echo '<div class="updated fade"><p>The Wapple Architect Plugin is working correctly!</p></div>'; 
}

echo '<h3>Information</h3>';

$fp = fopen(WP_PLUGIN_DIR.DIRECTORY_SEPARATOR.get_wapl_plugin_base().DIRECTORY_SEPARATOR.'architect.php', 'r');
// Pull only the first 8kiB of the file in.
$plugin_data = fread($fp, 8192);
// PHP will close file handle, but we are good citizens.
fclose($fp);

preg_match('|Version:(.*)|i', $plugin_data, $architectVersion);
preg_match('|Latest Changes:(.*)$|mi', $plugin_data, $architectChanges);
preg_match('|Coming Soon:(.*)$|mi', $plugin_data, $architectComingSoon);

echo '<p><strong>Plugin</strong>: Wapple Architect</p>';
echo '<p><strong>Version</strong>: '.$architectVersion[1].'</p>';
echo '<p><strong>Latest Changes</strong>: ';
echo '<ul class="architectList">';

foreach(explode('|', $architectChanges[1]) as $val)
{
	if($val && trim($val) != '') echo '<li>'.$val.'</li>';
}

echo '</ul></p>';
echo '<p><strong>Coming Soon</strong>: ';
echo '<ul class="architectList">';

foreach(explode('|', $architectComingSoon[1]) as $val)
{
	if($val && trim($val) != '') echo '<li>'.$val.'</li>';
}

echo '<br />';
echo '<p>Read more at the official <a href="http://wordpress.org/extend/plugins/wapple-architect/">Wapple Architect WordPress Home Page</a></p>';
echo '</table></div>';
?>